Bug 1476014 - Review Request: icemon - Icecream GUI monitor
Summary: Review Request: icemon - Icecream GUI monitor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: icecream (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-27 20:29 UTC by Michael Cullen
Modified: 2017-08-10 07:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-09 15:58:24 UTC
loganjerry: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1311959 None None None Never

Internal Links: 1311959

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-07-27 23:15:17 UTC
*** Bug 1311959 has been marked as a duplicate of this bug. ***

Comment 2 Jerry James 2017-07-28 03:05:16 UTC
I will take this review.  If you could take bug 1476085 in exchange, that would be great.  It should be an easy review.

Comment 3 Jerry James 2017-07-28 03:23:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in icemon
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

- I see this in the build log:

I/O error : Attempt to load network entity http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
/builddir/build/BUILD/icemon-3.1.0/doc/man-icemon.1.xml:6: warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
]>
  ^

  The required DTD is in the docbook-dtds package, which this package does not
  BuildRequire.

- The files in the tarball that carry a GPL notice all contain the "or any
  later version" language, so I believe the license field should be GPLv2+.

- The package should Requires: hicolor-icon-theme so that the directories
  under %{_datadir}/icons/hicolor are owned.

- There is a typo in the most recent changelog entry: the closing '>' character
  is missing from your email address.

- Regarding the rpmlint warning gzipped-svg-icon, the verbose rpmlint text says
  "Not all desktop environments that support SVG icons support them gzipped
  (.svgz).  Install the icon as plain uncompressed SVG."

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* BSD (3 clause)", "GPL (v2 or later)", "Unknown
     or generated". 28 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/22x22, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128,
     /usr/share/icons/hicolor/scalable/apps,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/32x32,
     /usr/share/icons/hicolor, /usr/share/icons/hicolor/scalable
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: icemon-3.1.0-2.fc27.x86_64.rpm
          icemon-debuginfo-3.1.0-2.fc27.x86_64.rpm
          icemon-3.1.0-2.fc27.src.rpm
icemon.x86_64: W: spelling-error Summary(en_US) Icecream -> Ice cream, Ice-cream, Creamily
icemon.x86_64: W: only-non-binary-in-usr-lib
icemon.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
icemon.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
icemon.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/icemon.svgz
icemon.src: W: spelling-error Summary(en_US) Icecream -> Ice cream, Ice-cream, Creamily
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: icemon-debuginfo-3.1.0-2.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
icemon.x86_64: W: spelling-error Summary(en_US) Icecream -> Ice cream, Ice-cream, Creamily
icemon.x86_64: W: only-non-binary-in-usr-lib
icemon.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/icemon.svgz
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
icemon-debuginfo (rpmlib, GLIBC filtered):

icemon (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libcap-ng.so.0()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libicecc.so.0()(64bit)
    liblzo2.so.2()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
icemon-debuginfo:
    debuginfo(build-id)
    icemon-debuginfo
    icemon-debuginfo(x86-64)

icemon:
    application()
    application(icemon.desktop)
    icemon
    icemon(x86-64)



Source checksums
----------------
https://github.com/icecc/icemon/archive/v3.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 8500501d3f4968d52a1f4663491e26d861e006f843609351ec1172c983ad4464
  CHECKSUM(SHA256) upstream package : 8500501d3f4968d52a1f4663491e26d861e006f843609351ec1172c983ad4464


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1476014 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Michael Cullen 2017-07-28 17:00:07 UTC
Thanks! I thought I saw something saying the iconcache update wasn't needed now but I must have been mistaken.

Good spot on that build log download attempt!

You didn't mention it, but after taking a look at your review (which I'll keep an eye on even though someone else got there before me with comments) I was reminded to add gcc-c++ as a BuildRequires - I suspect it's already pulled in via qt5-devel but it's probably better to be explicit!

updated spec/srpm:

Spec URL: https://copr-be.cloud.fedoraproject.org/results/mich181189/icemon/fedora-rawhide-ppc64le/00584520-icemon/icemon.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mich181189/icemon/fedora-rawhide-ppc64le/00584520-icemon/icemon-3.1.0-4.fc27.src.rpm

Comment 5 Jerry James 2017-07-29 17:36:23 UTC
(In reply to Michael Cullen from comment #4)
> Thanks! I thought I saw something saying the iconcache update wasn't needed
> now but I must have been mistaken.

Well, it's like the other scriptlets that are no longer needed, so I don't know why this one hasn't been eliminated.  I expect someone will get around that at some point.

> You didn't mention it, but after taking a look at your review (which I'll
> keep an eye on even though someone else got there before me with comments) I
> was reminded to add gcc-c++ as a BuildRequires - I suspect it's already
> pulled in via qt5-devel but it's probably better to be explicit!

It is, and I should have noticed it was missing.  Shame on me.

There are just two very small issues left.  First, BuildRequires: gzip isn't necessary.  It is on the Exceptions list and hasn't been superseded by any other guidelines, unlike the gcc/gcc-c++ case.  Second, the package needs to have Requires: hicolor-icon-theme, not BuildRequires: hicolor-icon-theme.  This is to ensure that the icon directories exist at install/run time.  You don't need them at build time.

Comment 6 Michael Cullen 2017-07-30 07:22:54 UTC
> BuildRequires: gzip isn't necessary.
I included it for completeness, and there doesn't seem to really be an explicit exceptions list now, however since it's practically always going to be there for handling tarballs, I've removed it. (see https://pagure.io/packaging-committee/issue/497)

> Second, the package needs to have Requires: hicolor-icon-theme, not BuildRequires: hicolor-icon-theme.
Gah of course! Clearly wasn't thinking straight!

Spec URL: https://fedorapeople.org/~mich181189/icemon/icemon.spec
SRPM URL: https://fedorapeople.org/~mich181189/icemon/icemon-3.1.0-5.fc27.src.rpm

(there is a copr build, but I forgot to include a sensible comment on the changelog line so I've posted a more sane spec file there!)

Comment 7 Jerry James 2017-07-31 04:17:20 UTC
Okay, looks good.  This package is APPROVED.

Comment 8 Gwyn Ciesla 2017-07-31 12:08:21 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/icemon

Comment 9 Fedora Update System 2017-07-31 12:56:20 UTC
icemon-3.1.0-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6952a04673

Comment 10 Fedora Update System 2017-07-31 22:23:19 UTC
icemon-3.1.0-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-76dcb9041c

Comment 11 Fedora Update System 2017-08-01 00:25:49 UTC
icemon-3.1.0-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6952a04673

Comment 12 Fedora Update System 2017-08-09 15:58:24 UTC
icemon-3.1.0-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-08-09 19:58:41 UTC
icemon-3.1.0-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.